Uploaded image for project: 'Maven PMD Plugin'
  1. Maven PMD Plugin
  2. MPMD-249

The plugin documentation point to old (deprecated) rulesets

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.9.0
    • Component/s: None
    • Labels:
      None

      Description

      As seen on: http://maven.apache.org/plugins/maven-pmd-plugin/pmd-mojo.html#rulesets

      The "stock Java rulesets" point to http://pmd.github.io/pmd-5.5.1/pmd-java/rules/index.html

      Which is an old version (5.5.1). Maybe it should always point to the latest version? or maybe even the built in one?

        Attachments

          Activity

            People

            • Assignee:
              adangel Andreas Dangel
              Reporter:
              jmsotuyo Juan Martín Sotuyo Dodero
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: